<?php

$salt = bin2hex(random_bytes(12));
$options = ["salt" => $salt];
$hash = password_hash("Aq1702", PASSWORD_BCRYPT, $options);
echo $hash;
echo "<br /><br />\n\n";
echo strlen($hash);
echo "<br /><br />\n\n";
echo password_verify ("Aq1702", $hash);

?>